"""Implements a counter.

Demonstrates sessions.

David J. Malan
malan@harvard.edu
"""

# import Flask, plus support for rendering templates and for sessions
from flask import Flask, render_template, session

# create an instance of Flask
app = Flask(__name__)

# http://flask.pocoo.org/docs/0.10/quickstart/#sessions
app.secret_key = "TODO"

@app.route("/")
def index():
    """displays number of times user has visited"""
    session["counter"] = session.get("counter", 0) + 1
    return render_template("index.html", counter=session["counter"])

# if the script is executed directly from the Python interpreter and not used as an imported module
if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0", port=8080)
