"""Implements a registration form for Frosh IMs; redirects user back to form to upon error.

Demonstrates Bootstrap.

David J. Malan
malan@harvard.edu
"""

# import Flask, plus support for redirects, rendering templates, accessing requests' parameters, and generating URLs
from flask import Flask, redirect, render_template, request, url_for

# create an instance of Flask
app = Flask(__name__)

@app.route("/")
def index():
    """displays registration form"""
    return render_template("index.html")

@app.route("/register", methods=["POST"])
def register():
    """ensures user provides name, term, and dorm when registering"""
    if not (request.form.get("name") and request.form.get("term") and request.form.get("dorm")):
        return redirect(url_for("index"))
    return render_template("register.html", form=request.form)

# if the script is executed directly from the Python interpreter and not used as an imported module
if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0", port=8080)
