"""Implements a registration form for Frosh IMs; informs user of any errors.

David J. Malan
malan@harvard.edu
"""

# import Flask, plus support for redirects, rendering templates, accessing requests' parameters, and generating URLs
from flask import Flask, redirect, render_template, request, url_for

# create an instance of Flask
app = Flask(__name__)

def validate(form):
    """validates form by ensuring all fields are non-empty"""
    return (request.form.get("name") and request.form.get("term") and request.form.get("dorm"))

@app.route("/")
def index():
    """displays registration form"""
    return render_template("index.html")

@app.route("/register", methods=["POST"])
def register():
    """reminds user as needed to provide name, term, and dorm when registering"""
    return render_template("register.html", valid=validate(request.form))

# if the script is executed directly from the Python interpreter and not used as an imported module
if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0", port=8080)
