"""Implements a registration form for Frosh IMs; reports registration via email.

David J. Malan
malan@harvard.edu
"""

# import Flask, plus support for redirects, rendering templates, accessing requests' parameters, and generating URLs
from flask import Flask, redirect, render_template, request, url_for

# import Flask-Mail for sending email
from flask_mail import Mail, Message

# create an instance of Flask
app = Flask(__name__)

# configure Flask-Mail
app.config["MAIL_DEFAULT_SENDER"] = ("TODO", "TODO")
app.config["MAIL_PASSWORD"] = "TODO"
app.config["MAIL_PORT"] = 465
app.config["MAIL_SERVER"] = "smtp.gmail.com"
app.config["MAIL_USE_SSL"] = True
app.config["MAIL_USERNAME"] = "TODO"
mail = Mail(app)

@app.route("/")
def index():
    """displays registration form"""
    return render_template("index.html")

@app.route("/register", methods=["POST"])
def register():
    """sends email upon each registration"""

    # ensure user provides name, term, and dorm when registering
    if not (request.form.get("name") and request.form.get("term") and request.form.get("dorm")):
        return redirect(url_for("index"))

    # prepare body of email
    body = """This person just registered:
Name: {}
Term: {}
Dorm: {}
Caption: {}
""".format(request.form.get("name"), request.form.get("term"), request.form.get("dorm"), request.form.get("captain"))

    # send email
    msg = Message("registration", body=body, recipients=["TODO"])
    mail.send(msg)

    # confirm registration
    return render_template("register.html")

# if the script is executed directly from the Python interpreter and not used as an imported module
if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0", port=8080)
