"""Says hello.

Demonstrates templates with parameterization.

David J. Malan
malan@harvard.edu
"""

# import Flask, plus support for rendering templates and for accessing requests' parameters
from flask import Flask, render_template, request

# create an instance of Flask
app = Flask(__name__)

@app.route("/")
def index():
    """says hello"""
    return render_template("index.html", name=request.args.get("name"))

# if the script is executed directly from the Python interpreter and not used as an imported module
if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0", port=8080)
